%define fullname %name-%version

Name: manedit
Version: 0.5.11
Release: alt2

Summary: Manual page viewer and editor
Summary(ru_RU.CP1251):      
License: GPL
Group: Development/Other
Url: http://wolfpack.twu.net/ManEdit/
Packager: Aleksandr Blokhin 'Sass' <sass@altlinux.ru>

Source0: ftp://wolfpack.twu.net/users/wolfpask/%fullname.tar.bz2
Source1: %name.menu
Source2: %{name}_48x48.xpm
Source3: %{name}_32x32.xpm
Source4: %{name}_16x16.xpm

Patch0: manedit-0.5.3-fonts.patch
Patch1: manedit-0.5.11-path.patch

# Automatically added by buildreq on Mon May 24 2004
BuildRequires: XFree86-devel bzlib-devel gcc-c++ glib-devel gtk+-devel libstdc++-devel zlib-devel

%description
ManEdit is a UNIX manual page editor and viewer. It can be used as a direct
editor for UNIX manual pages (with no manual conversion steps involved) or
a viewer/browser. ManEdit uses the GTK+ widget set and requires the X Window
Systems.

In the ManEdit editor you can load one or more manual pages and edit each
section using ManEdit's manual page format to XML translation feature. Each
manual page is broken down into sections and one header for easier recognition
of the manual page format. If you are unfamiliar with the XML or manual page
formats, you should go to help->How To Write ManPages.

In viewer mode, you can search for an manual page installed in the global
manual page directories on the file system ManEdit is running on. There is
also an index feature which creates a complete catagory index listing of all
the manual pages installed on the file system (see view->index).

ManEdit also supports full Drag and Drop features between its process windows,
you can run ManEdit with multiple editor and viewer windows in a single process.

%description -l ru_RU.CP1251
ManEdit         UNIX.  
        UNIX
(   )    .
ManEdit    GTK+     X Window Systems.

%prep
%setup -q -n %fullname
%patch0 -p1
%patch1 -p1

%build
./configure Linux -v
%make_build

%install
%make_install install -C manedit PREFIX=$RPM_BUILD_ROOT%prefix MAN_DIR="$RPM_BUILD_ROOT%_mandir/man1"
%__install -p -m644 -D %SOURCE1 $RPM_BUILD_ROOT%_menudir/%name

# icons
%__install -D -m644 %SOURCE2 $RPM_BUILD_ROOT%_miconsdir/%name.xpm
%__install -D -m644 %SOURCE3 $RPM_BUILD_ROOT%_iconsdir/%name.xpm
%__install -D -m644 %SOURCE4 $RPM_BUILD_ROOT%_liconsdir/%name.xpm

%post
%update_menus

%postun
%clean_menus

%files
%_bindir/*
%_datadir/%name
%_mandir/man?/*
%_menudir/*
%_miconsdir/%name.xpm
%_iconsdir/%name.xpm
%_liconsdir/%name.xpm
%doc AUTHORS README INSTALL LICENSE

%changelog
* Sat Jun 26 2004 Aleksandr Blokhin 'Sass' <sass@altlinux.ru> 0.5.11-alt2
- Changed Global man pages location

* Mon May 24 2004 Aleksandr Blokhin 'Sass' <sass@altlinux.ru> 0.5.11-alt1
- 0.5.11

* Wed May 07 2003 Aleksandr Blokhin (Sass) <sass@altlinux.ru> 0.5.10-alt1
- 0.5.10

* Mon Mar 24 2003 Aleksandr Blokhin (Sass) <sass@altlinux.ru> 0.5.9-alt1
- 0.5.9

* Sun Jan 26 2003 Aleksandr Blokhin 'Sass' <sass@altlinux.ru> 0.5.8-alt1
- 0.5.8

* Wed Dec 04 2002 Stanislav Ievlev <inger@altlinux.ru> 0.5.6-alt3
- rebuild to fix dep on groff

* Fri Oct 11 2002 Aleksandr Blokhin 'Sass' <sass@altlinux.ru> 0.5.6-alt2
- rebuilded with gcc-3.2
- removed Summary & description in KOI8-R encoding

* Wed Mar 20 2002 Aleksandr Blokhin 'Sass' <sass@altlinux.ru> 0.5.6-alt1
- 0.5.6

* Sat Mar 02 2002 Aleksandr Blokhin 'Sass' <sass@altlinux.ru> 0.5.5-alt1
- 0.5.5

* Wed Jan 30 2002 Aleksandr Blokhin 'Sass' <sass@altlinux.ru> 0.5.4-alt2
- added default path correction patch

* Sun Jan 20 2002 Aleksandr Blokhin 'Sass' <sass@altlinux.ru> 0.5.4-alt1
- 0.5.4

* Wed Jan 09 2002 Aleksandr Blokhin 'Sass' <sass@altlinux.ru> 0.5.3-alt4
- added Summary & description in CP1251 encoding

* Wed Dec 26 2001 Aleksandr Blokhin 'Sass' <sass@altlinux.ru> 0.5.3-alt3
- added fonts patch by Inger <inger@altlinux.ru>
- updated BuildRequires

* Sat Dec 8 2001 Aleksandr Blokhin 'Sass' <sass@altlinux.ru> 0.5.3-alt2
- fixed default fonts

* Fri Oct 26 2001 Aleksandr Blokhin 'Sass' <sass@altlinux.ru> 0.5.3-alt1
- 0.5.3

* Fri Oct 26 2001 Aleksandr Blokhin 'Sass' <sass@altlinux.ru> 0.5.2-alt1
- 0.5.2
- spec cleanup

* Fri Sep 21 2001 Aleksandr Blokhin 'Sass' <sass@uustoll.ee> 0.5.1-alt1
- 0.5.1

* Mon Feb 26 2001 AEN <aen@logic.ru> 0.4-ipl2
- 0.4i

* Tue Jan 16 2001 Dmitry V. Levin <ldv@fandra.org> 0.4-ipl1
- Initial revision.Name: manedit
